Bug 459856 - Review Request: ibus-hangul - The Korean hangul engine for IBus
Review Request: ibus-hangul - The Korean hangul engine for IBus
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-22 22:59 EDT by Peng Huang
Modified: 2008-08-24 18:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-24 18:52:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peng Huang 2008-08-22 22:59:42 EDT
Spec URL: http://ibus.googlecode.com/files/ibus-hangul.spec
SRPM URL: http://ibus.googlecode.com/files/ibus-hangul-0.1.1.20080823-1.fc9.src.rpm
Description: The Korean hangul engine for IBus
Comment 1 Parag AN(पराग) 2008-08-23 10:49:00 EDT
Review:
+ package builds in mock (rawhide i386).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=781109
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
6286e7de3232eb878b03ae3be448b904  ibus-hangul-0.1.1.20080823.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are correct
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Package ibus-hangul-0.1.1.20080823-1.fc10 =>
Provides:
 _hangul.so
Requires:
 /bin/sh
 libc.so.6
 libc.so.6(GLIBC_2.0)
 libc.so.6(GLIBC_2.1.3)
 libc.so.6(GLIBC_2.3.4)
 libc.so.6(GLIBC_2.4)
 libhangul.so.0
 python(abi) = 2.5
 rtld(GNU_HASH)

Suggestions:-
  Use make DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p" install to preserve timestamps for files(like .py and .svg) copied from tarball to rpm 

APPROVED.
Comment 2 Peng Huang 2008-08-23 19:28:23 EDT
New Package CVS Request
=======================
Package Name: ibus-hangul
Short Description: The Hangul input engine for IBus platform
Owners: phuang
Branches: F-9 EL-5
InitialCC: phuang
Cvsextras Commits: yes
Comment 3 Kevin Fenzi 2008-08-24 14:58:27 EDT
cvs done.
Comment 4 Peng Huang 2008-08-24 18:52:16 EDT
built it.
Thanks for Kevin & Parag.

Note You need to log in before you can comment on or make changes to this bug.